/*
 *  folded-ctf is an implementation of the folded hierarchy of
 *  classifiers for object detection, developed by Francois Fleuret
 *  and Donald Geman.
 *
 *  Copyright (c) 2008 Idiap Research Institute, http://www.idiap.ch/
 *  Written by Francois Fleuret <francois.fleuret@idiap.ch>
 *
 *  This file is part of folded-ctf.
 *
 *  folded-ctf is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3 as
 *  published by the Free Software Foundation.
 *
 *  folded-ctf is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with folded-ctf.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "classifier.h"

Classifier::~Classifier() { }

void Classifier::extract_pi_feature_family(PiFeatureFamily *full_pi_feature_family,
                                           PiFeatureFamily *extracted_pi_feature_family) {

  bool *used_features = new bool[full_pi_feature_family->nb_features()];
  int *new_feature_indexes = new int[full_pi_feature_family->nb_features()];

  for(int f = 0; f < full_pi_feature_family->nb_features(); f++)
    used_features[f] = false;

  tag_used_features(used_features);

  extracted_pi_feature_family->extract(full_pi_feature_family,
                                       used_features,
                                       new_feature_indexes);

  re_index_features(new_feature_indexes);

  delete[] new_feature_indexes;
  delete[] used_features;
}
