/*
 *  folded-ctf is an implementation of the folded hierarchy of
 *  classifiers for object detection, developed by Francois Fleuret
 *  and Donald Geman.
 *
 *  Copyright (c) 2008 Idiap Research Institute, http://www.idiap.ch/
 *  Written by Francois Fleuret <francois.fleuret@idiap.ch>
 *
 *  This file is part of folded-ctf.
 *
 *  folded-ctf is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3 as
 *  published by the Free Software Foundation.
 *
 *  folded-ctf is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with folded-ctf.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "classifier_reader.h"
#include "misc.h"
#include "boosted_classifier.h"

Classifier *read_classifier(istream *is) {
  Classifier *result;
  unsigned int id;

  read_var(is, &id);

  switch(id) {
  case CLASSIFIER_BOOSTED:
    result = new BoostedClassifier();
    break;
  default:
    cerr << "Unknown classifier ID " << id << endl;
    exit(1);
  }

  result->read(is);
  return result;
}
