/*
 *  folded-ctf is an implementation of the folded hierarchy of
 *  classifiers for object detection, developed by Francois Fleuret
 *  and Donald Geman.
 *
 *  Copyright (c) 2008 Idiap Research Institute, http://www.idiap.ch/
 *  Written by Francois Fleuret <francois.fleuret@idiap.ch>
 *
 *  This file is part of folded-ctf.
 *
 *  folded-ctf is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3 as
 *  published by the Free Software Foundation.
 *
 *  folded-ctf is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with folded-ctf.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*

  This is a LabelledImagePool that corresponds physically to a file.

 */

#ifndef LABELLED_IMAGE_POOL_FILE_H
#define LABELLED_IMAGE_POOL_FILE_H

#include "labelled_image_pool.h"
#include "labelled_image.h"

#include <fstream>

class LabelledImagePoolFile : public LabelledImagePool {
  int _nb_images;
  LabelledImage **_images;
  streampos *_image_stream_positions;
  int *_image_nb_refs;
  ifstream *_stream;

public:
  LabelledImagePoolFile(char *file_name);
  virtual ~LabelledImagePoolFile();
  virtual int nb_images();
  virtual LabelledImage *grab_image(int n_image);
  virtual void release_image(int n_image);
};

#endif
