/*
 *  folded-ctf is an implementation of the folded hierarchy of
 *  classifiers for object detection, developed by Francois Fleuret
 *  and Donald Geman.
 *
 *  Copyright (c) 2008 Idiap Research Institute, http://www.idiap.ch/
 *  Written by Francois Fleuret <francois.fleuret@idiap.ch>
 *
 *  This file is part of folded-ctf.
 *
 *  folded-ctf is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3 as
 *  published by the Free Software Foundation.
 *
 *  folded-ctf is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with folded-ctf.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*

  This is a LabelledImagePool which corresponds to a subset of another
  pool. We use that to extract the training, validation and test pool
  from the global pool. It is mainly necessary to have such a class to
  avoid unnecessary memory usage.

 */

#ifndef LABELLED_IMAGE_POOL_SUBSET_H
#define LABELLED_IMAGE_POOL_SUBSET_H

#include "labelled_image_pool.h"

class LabelledImagePoolSubset : public LabelledImagePool {
  LabelledImagePool *_mother_pool;
  int _nb_images;
  int *_indexes;
public:
  LabelledImagePoolSubset(LabelledImagePool *mother_pool, bool *used);
  virtual ~LabelledImagePoolSubset();
  virtual int nb_images();
  virtual LabelledImage *grab_image(int n_image);
  virtual void release_image(int n_image);
};

#endif
