/*
 *  folded-ctf is an implementation of the folded hierarchy of
 *  classifiers for object detection, developed by Francois Fleuret
 *  and Donald Geman.
 *
 *  Copyright (c) 2008 Idiap Research Institute, http://www.idiap.ch/
 *  Written by Francois Fleuret <francois.fleuret@idiap.ch>
 *
 *  This file is part of folded-ctf.
 *
 *  folded-ctf is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3 as
 *  published by the Free Software Foundation.
 *
 *  folded-ctf is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with folded-ctf.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*

  Functions to produce the figures for the paper.

 */

#ifndef MATERIALS_H
#define MATERIALS_H

#include "misc.h"
#include "rich_image.h"
#include "pi_feature.h"
#include "pi_referential.h"
#include "labelled_image_pool.h"
#include "labelled_image.h"
#include "pose_cell_set.h"
#include "pose_cell_hierarchy.h"
#include "detector.h"

void write_pool_images_with_poses_and_referentials(LabelledImagePool *pool,
                                                   Detector *detector);

void write_image_with_detections(const char *filename,
                                 LabelledImage *image,
                                 PoseCellSet *detections,
                                 int level);

#endif
