/*
 *  folded-ctf is an implementation of the folded hierarchy of
 *  classifiers for object detection, developed by Francois Fleuret
 *  and Donald Geman.
 *
 *  Copyright (c) 2008 Idiap Research Institute, http://www.idiap.ch/
 *  Written by Francois Fleuret <francois.fleuret@idiap.ch>
 *
 *  This file is part of folded-ctf.
 *
 *  folded-ctf is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3 as
 *  published by the Free Software Foundation.
 *
 *  folded-ctf is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with folded-ctf.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "storable.h"

#include <fstream>
#include <stdlib.h>

Storable::~Storable() { }

void Storable::read(const char *name) {
  ifstream in(name);
  if(in.fail()) {
    cerr << "Can not open " << name << " for reading." << endl;
    exit(1);
  }
  read(&in);
}

void Storable::write(const char *name) {
  ofstream out(name);
  if(out.fail()) {
    cerr << "Can not open " << name << " for writing." << endl;
    exit(1);
  }
  write(&out);
}
