/*
 *  folded-ctf is an implementation of the folded hierarchy of
 *  classifiers for object detection, developed by Francois Fleuret
 *  and Donald Geman.
 *
 *  Copyright (c) 2008 Idiap Research Institute, http://www.idiap.ch/
 *  Written by Francois Fleuret <francois.fleuret@idiap.ch>
 *
 *  This file is part of folded-ctf.
 *
 *  folded-ctf is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3 as
 *  published by the Free Software Foundation.
 *
 *  folded-ctf is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with folded-ctf.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*

  Two handy functions to sample in a very large weighted sample set,
  and to generate a ROC curve given a very large sample set.

 */

#ifndef TOOLS_H
#define TOOLS_H

#include <iostream>
#include "misc.h"

// This function is not trivial because it has to handle numerical
// pitfalls due to the very large number of samples.

scalar_t robust_sampling(int nb, scalar_t *weights, int nb_to_sample, int *sampled);

void print_roc_small_pos(ostream *out,
                         int nb_pos, scalar_t *pos_responses,
                         int nb_neg, scalar_t *neg_responses,
                         scalar_t fas_factor);

#endif
